Java 6 update 32

Java 6 update nummer 32 is uitgebracht door producent Oracle. Dit is een onderhoudsupdate voor de browser plugin die diverse fouten repareert. Beveiligingslekken worden deze keer niet gedicht, dus de update lijkt niet heel urgent.

Toch is het goed om te controleren of je wel minstens versie 6 update 31 op je pc hebt staan, want internet criminelen maken tegenwoordig massaal gebruik van lekken in verouderde software om pc's over te nemen en bankgegevens te stelen. Sommige experts stellen zelfs dat je Java beter geheel kunt verwijderen van je pc, omdat de plugin door niet veel websites meer gebruikt wordt. Anders moet je in ieder geval altijd updaten als er een nieuwe versie komt die beveiligingslekken dicht.

Je kunt Java in Windows updaten via de automatische updater die zich in de systeembalk nestelt. Als er een meldingvenster komt voor een update van Java is het dus aan te bevelen deze direct te installeren. Ook kun je Java opnieuw downloaden. Java is verkrijgbaar voor browsers in Windows, Mac OS X en Linux.

 


Reacties

Jammer dat LibreOffice voor sommige functies en Base JRE wèl nodig heeft (www.libreoffice.org - Get Help - System Requirements : 'For certain features of the software - but not most - Java is required. Java is notably required for Base.')

In reactie op JanL -

Die informatie blijkt gedeeltelijk achterhaald.
Eerder had LibreOffice evenals OpenOffice nog beslist Java nodig voor het functioneren van Base, de database component. Maar onlangs ontdekte ik dat Base nu inmiddels in principe kan functioneren zónder Java, onder Windows althans. Dit wellicht door door alle recente aanpassingen in de LibreOffice software, er wordt aan gewerkt LibreOffice steeds verder onafhankelijk te maken van Java.

In OpenOffice is Base nog volledig afhankelijk van Java, voor zover ik weet.
Maar onder LibreOffice voor Windows functioneert Base inmiddels ook zónder Java, behalve de Assistent-functie in Base.
Voor LibreOffice voor Mac en Linux zou Java nog wél werkelijk benodigd zijn voor het functioneren van Base.

Daarnaast zijn ook enkele aanvullende functies in OpenOffice en LibreOffice nog afhankelijk van Java, mij bekend in ieder geval het "Zoeken" op woorden in de Help-functie. Maar het zoeken op woorden via de "Index" in Help dat werkt gewoon wél, dus die andere zoekoptie mis je niet werkelijk.

Vooral LibreOffice voor Windows kan dus prima zonder Java, zelfs Base. En LibreOffice voor Mac en Linux en ook OpenOffice kunnen zonder Java wanneer je Base niet mist.

http://www.libreoffice.org/get-help/system-require...
http://www.openoffice.org/download/common/java.html

Beste Spiff

Naar aanleiding van uw reactie op JanL, wil ik graag ook even reageren.

U schrijft dat Java in LibreOffice Base onder Windows niet meer nodig is. Welnu na het lezen van uw reactie, heb ik Java van mijn PC gehaald en na volledige verwijdering LibreOffice Base opgestart. Wat blijkt nu dat ik een fout melding krijg: "LibreOffice werkt niet meer, er wordt naar een oplossing gezocht" Hierna heb ik Java weer op mijn PC geïnstalleerd, en Base starte zonder problemen op.
Java is dus nog wel nodig om met LibreOffice Base te werken.

Ik werk met Windows Vista Home Premium SP2, en LibrOffice 3.5.1, en verder alle noodzakelijke updates.

Ik hoop u op deze manier van goede informatie te hebben voorzien.

Met vriendelijke groet

G. Dekker

Beste Gangi/ G. Dekker,

Bedankt voor het melden van je ervaring.
Wat een opvallende verschil met mijn ervaring beschrijf je.
Een geheel andere ervaring, terwijl mijn installatie eveneens Vista SP2 is, met LibreOffice 3.5.2.
Ik zie zo snel nog geen verklaring.

Omdat ik zelf geen Java meer geïnstalleerd heb staan, en dat ook niet opnieuw ga doen, kan ik niet experimenteren met het verwijderen van Java en de effecten die dat heeft op het gebruik van Base.

Wel kan ik één punt bedenken waar mogelijk een aanknopingspunt te vinden zou kunnen zijn.
Dat is onder: LibreOffice > Extra > Opties > Java.
Onder Java-opties is daar bij jou waarschijnlijk aangevinkt "Gebruik een Java runtime environment".
Bij mij is dat uitgeschakeld.
Zou je willen experimenteren, dan zou je die optie kunnen uitschakelen, en dan uitproberen hoe Base functioneert.
Vervolgens zou je met die optie "Gebruik een Java runtime environment" uitgeschakeld nogmaals Java kunnen verwijderen, en zien wat er dan vervolgens gebeurt wanneer je Base opent.

Hoe dan ook is dit interessante materie, die weer eens laat zien dat ervaringen zeer verschillend kunnen zijn, bij vergelijkbare installaties.

Beste Spiff,

Naar aanleiding van je reactie op mijn berichtje kan ik je het volgende mededelen.

Er stond inderdaad een vinkje bij Java runtime environment. Dat heb ik weggehaald en LibreOffice Base opnieuw gestart. Ondestaand de melding die ik kreeg: " De verbinding met de externe gegevensbron kan niet tot stand worden gebracht omdat er geen SDBC-stuurprogramma voor de opgegeven URL is gevonden". Hierna heb ik Java verwijdert, en LibreOffice Base opnieuw gestart. De genoemde melding verscheen opnieuw.

Omdat ik bezig ben een database te maken voor mijn muziekverzameling, ben ik bang dat ik niet zonder Java kan. Misschien heeft u een ander alternatief.

Groet Gangi

Beste Gangi,

Het spijt me, maar ik ken geen oplossing voor je probleem. Ik ben onvoldoende thuis in de materie.

Bij web-zoeken vind ik de foutmelding die je noemt op diverse plekken terug, zowel Nederlands- als ook Engelstalig. (The connection to the external data source could not be established. No SDBC driver was found for the given URL.)

Mogelijk is de test die ik heb uitgevoerd te beperkt geweest, en is die foutmelding daardoor bij mij niet opgetreden.

Het enige dat ik je kan aanraden is dan toch Java maar weer gebruiken.
Wel zou je die foutmelding, of het Engelstalige equivalent ervan, kunnen meenemen naar fora met LibreOffice Base gebruikers, en kunnen vragen wat die melding nou precies betekent, en of LibreOffice 3.5.2 Base werkelijk nog steeds niet zonder Java kan (en niet slechts de Assistent-functie in Base, zoals ik meende).

Het spijt me dat ik je valse hoop heb gegeven over het kunnen verwijderen van Java.

Mocht je op een gegeven moment meer weten, meld je dat dan nog even terug, als je wilt?
Alvast hartelijk bedankt.
En nogmaals excuus.

Goedenanvond Spiff,

Allereerst hartelijk dank voor je reacties n.a.v. Java inz. LibrOffice Base.

Ik kan u ook mededelen dat u mij geen valse hoop heb gegeven, ik heb alleen geprobeerd duidelijk te maken dat bij mij dit niet van toepassing is.

Mocht ik naar aanleiding van dit probleem informatie hebben gekregen, dan zal ik deze met u delen.

Nogmaals dank voor de moeite die u hiervoor hebt gedaan.

Groet Gangi.

Jij/ U ook bedankt, Gangi.
En ja, mocht je op een gegeven moment meer te weten komen in verband met Java, LibreOffice Base en die betreffende foutmelding, dan lees ik het hier graag.

Vriendelijke groeten,
Spiff

Ik snap er niets meer van. Kijk ik op Filehippo -toch niet de slechtste site- dan zie ik dat we al lang bij Java 1.7.0.3 zijn. Deze versie werkt probleemloos op al mijn systemen.

Beste Hans,

Hier is je antwoord (van Filehippo bij comments)

For the sake of the security and stability of your system, install or update your Java from http://www.java.com/en/downloa... .

This Java update for WinXP32Bit (1.7.0.3 (32-bit)) should have been taken down by File Hippo a long time ago. This is NOT the Java version Oracle will recommend when you go to their site(currently v 6, update 31 as of 4/4/2012). Attempting to install the version File Hippo has shown on their site (for WAY too long now) will likely create headaches for you, so DO NOT do it.
At http://www.java.com/en/downloa... , Oracle says "Why is Java SE 7 not yet available on java.com?
The new release of Java is first made available to the developers to ensure no major problems are found before we make it available on the java.com website for end users to download the latest version. If you are interested in trying Java SE 7 it can be downloaded from Oracle.com."

Als ik de nieuwe Java update wil downloaden krijg ik nog steeds update 31

De release notes zijn er al, maar de gewone downloadsite is nog niet bijgewerkt inderdaad.

Wel is de nieuwe versie al hier op de site van Oracle te downloaden:
http://www.oracle.com/technetwork/java/javase/down...

maar welke versie dan? Kernel, Onlin or Offline?

Ik krijg Update 32 niet gedownload, alleen de laatste versie 31

Als ik via Configuratiescherm de "Java Control Panel" open en de update check (Update/Update now) wordt er nu om 18:55uur wel de nieuwe versie 6 update 32 aangeboden bij mij, terwijl er op hetzelfde moment via de Java-site nog steeds de oude versie wordt aangeboden...

Bedankt Anand. Zelfs nu (29-4, 23.00 uur) wordt op de Java site nog steeds versie 31 aangeboden. Met de andere manier - door jou beschreven - lukt het wel. Nogmaals dank.

Als je Java niet nodig hebt, kieper het aub van je pc.
Scheelt een hoop kopzorgen.

Ik heb gewoon Java er af gegooid en ik kijk wel of ik het nodig heb

http://www.filehippo.com/download_jre_32/12197/

de juiste versie, ook als ik door java op versie laat controleren

als je java versie up to date is , je beschikt over een degelijk antivirus programma en een paar spyware scanners, die allemaal dagelijks geupdated worden en men elke week zowat degelijke scans uitvoert zou ik echt niet weten waarom men java niet zou gebruiken, beetje internet zoals een bar zonder bier

waarom is deze versie nog niet downloadbaar, terwijl de versie 7 blijkbaar al voorhanden is?

Je vergelijking met een bar zonder bier gaat mank.
Een bar zonder bier is voor de bierliefhebber wellicht niet denkbaar, maar internetgebruik zonder Java JRE gaat echter prima. Er zijn maar heel weinig websites en webapplicaties die een geïnstalleerde Java nodig hebben. Schakel de Java JRE plugin in je browser maar eens uit - het duurt dan waarschijnlijk heel lang voordat je een keer een website tegenkomt die niet zonder Java kan. En de vraag is dan of je die website of zijn functies wel mist.

Java installeer je alléén wanneer je programma's, of programmaonderdelen, of webapplicaties gebruikt die Java nodig hebben.
Zónder zo'n noodzaak is het onzinnig om Java op je systeem te hebben.

En nee, een up to date Java versie plus een goed anti-virus programma en aanvullende scanners beschermen niet per definitie tegen malware die misbruik maakt van lekken in Java. Dit doordat er soms lekken voorkomen die al misbruikt worden vóórdat er een nieuwe Java update uitgebracht kan worden, én doordat anti-malware programma's niet elke bedreiging vanaf het eerste verschijnen daarvan herkennen en ze daardoor veelal korte tijd achter de feiten aanlopen.

Daarom dus - Java alleen installeren (en dan uiteraard blijven updaten) wanneer je Java nódig hebt. Anders niet.
Datzelfde geldt uiteraard voor álle programma's.

niet akkoord, je slaat de bal mis maar ja der zijn nu eenmaal een hele hoop zogenaamde super billgatettes op deze wereld.Internet zonder java is geen internet, punt uit, en blijf ik bij,als jeonbekwaam bent jezelf te beschermen moet je terug naar potloot en papier.

Nogal armzalig, rimgar, om zonder enige argumentatie te beweren dat ik de bal mis sla met wat ik neerzette en dat "internet zonder Java geen internet is, punt uit".
Beweer je dat iemand ongelijk heeft, dan is het wel zo netjes om beargumenteerd aan te geven waarom je dat vindt.

je slaat de bal kompleet mis.

als je niet in staat bent de gevolgen van java op te vangen behoort je niet tot het rijtje van de zogenaamde ( zelfbenoemde bill gates volgelingen waar ik beslist niet toe behoor) maar der zijn meestal meer genieenen dan gedacht

java is en blijft een onderdeel van internet. kan je der niet mee om,gebruik dan enkel potlood, papier en postzegel, maw ga je een eeuw terug, maar dat is in de huidige samenleving toegestaan.

zie hierboven

Een uitstekende opmerking -met name jouw 2e alinea- maak je hier. Ik heb geen programma's die Java nodig hebben. Daarom heb ik zo'n 10 jaar geleden al Java er af gegooid. En sindsdien ben ik nog niet één website tegengekomen die Java nodig heeft. En mocht ik er ooit één tegenkomen dan bekijk ik die maar niet.
Die eeuwig lekke Java shit was 10 jaar geleden al uit de tijd en is dat nog steeds, nutteloze gevaarlijke rommel.

zou nu eindelijk een willen weten wanner deze zogenaamde nieuwe versie beschikbaar is.
borstkloppperij?

Reageren

Plain text

  • Adressen van webpagina's en e-mailadressen worden automatisch naar links omgezet.
  • Regels en paragrafen worden automatisch gesplitst.
Verplichte controlevraag
Om spam tegen te houden
den_marken